diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_access_methods.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_access_methods.py
index 929e8b735..3fc73c555 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_access_methods.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_access_methods.py
@@ -31,6 +31,7 @@ class IndexesAddTestCase(BaseTestGenerator):
                                          indexes_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         """ This function will set up pre-requisite """
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_collations.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_collations.py
index 075e14160..3bb86f3c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_collations.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_get_collations.py
@@ -32,6 +32,7 @@ class IndexesAddTestCase(BaseTestGenerator):
 
     def setUp(self):
         """ This function will set up pre-requisite """
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_op_class.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_op_class.py
index bcf00fa92..2a0775d07 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_op_class.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_create_op_class.py
@@ -32,6 +32,7 @@ class IndexesAddTestCase(BaseTestGenerator):
 
     def setUp(self):
         """ This function will set up pre-requisite """
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
index 02c967690..06e4d67d8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_delete.py
@@ -32,6 +32,7 @@ class IndexesDeleteTestCase(BaseTestGenerator):
                                          indexes_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         """ This function will set up pre-requisite
         creating index to delete."""
         self.data = self.test_data
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
index 140a5864e..c80b95e34 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get.py
@@ -33,6 +33,7 @@ class IndexesGetTestCase(BaseTestGenerator):
 
     def setUp(self):
         """Creating index/indexes """
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_nodes.py
index 6bee13181..41ec483e2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_nodes.py
@@ -33,6 +33,7 @@ class IndexesGetTestCase(BaseTestGenerator):
 
     def setUp(self):
         """ Creating index required in further steps"""
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_statistics.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_statistics.py
index 57f6b49e2..9cbe14297 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_statistics.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_get_statistics.py
@@ -32,6 +32,7 @@ class IndexesGetTestCase(BaseTestGenerator):
                                          indexes_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
index 2640a3e76..ebaaaa335 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/test_indexes_put.py
@@ -31,6 +31,7 @@ class IndexesUpdateTestCase(BaseTestGenerator):
                                          indexes_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py
index 0c6f8b7a0..364c357d5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_add.py
@@ -32,6 +32,7 @@ class RulesAddTestCase(BaseTestGenerator):
                                          policy_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py
index f7c5a7b1b..25b6e35a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/test_rls_delete.py
@@ -29,6 +29,7 @@ class PolicyDeleteTestCase(BaseTestGenerator):
                                          policy_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
index c375399f8..b7eac8219 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_add.py
@@ -30,6 +30,7 @@ class RulesAddTestCase(BaseTestGenerator):
                                          rules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
index dc5977f0b..822b15bc2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_delete.py
@@ -29,6 +29,7 @@ class RulesDeleteTestCase(BaseTestGenerator):
                                          rules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
index ace0bd660..a03743737 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_get.py
@@ -30,6 +30,7 @@ class RulesGetTestCase(BaseTestGenerator):
                                          rules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
index 16be6bab1..5cab0b153 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/tests/test_rules_put.py
@@ -30,6 +30,7 @@ class RulesUpdateTestCase(BaseTestGenerator):
                                          rules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
index f31eb7164..3406eb87a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
@@ -31,6 +31,7 @@ class TriggersDeleteTestCase(BaseTestGenerator):
                                          triggers_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         super(TriggersDeleteTestCase, self).setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
index 6775fe989..920044eb6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
@@ -31,6 +31,7 @@ class TriggersGetTestCase(BaseTestGenerator):
                                          triggers_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         super(TriggersGetTestCase, self).setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
index c48cf6652..d4ed17062 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
@@ -32,6 +32,7 @@ class TriggersUpdateTestCase(BaseTestGenerator):
                                          triggers_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         super(TriggersUpdateTestCase, self).setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py
index ad1a4c690..de119e1f2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_get_children.py
@@ -25,6 +25,7 @@ class SchemaChildrenTestCase(BaseTestGenerator):
                                          schema_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
         # Change the db name, so that schema will create in newly created db
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py
index 8caa89972..cf28596e3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_node.py
@@ -25,6 +25,7 @@ class SchemaNodeAndNodesTestCase(BaseTestGenerator):
                                          schema_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
         # Change the db name, so that schema will create in newly created db
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py
index d3c191964..9f4831227 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_sql.py
@@ -25,6 +25,7 @@ class SchemaSQLTestCase(BaseTestGenerator):
                                          schema_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
         # Change the db name, so that schema will create in newly created db
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_create.py b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_create.py
index ba10de23e..6a806e1f5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_create.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_create.py
@@ -27,6 +27,7 @@ class SubscriptionAddTestCase(BaseTestGenerator):
                                          subscription_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_get.py b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_get.py
index 7919390fe..1f2f10bc5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/test_subscription_get.py
@@ -28,6 +28,7 @@ class SubscriptionGetTestCase(BaseTestGenerator):
                                          subscription_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_add_schedule.py b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_add_schedule.py
index 2209d02e2..af2ea3dbc 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_add_schedule.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_add_schedule.py
@@ -22,6 +22,7 @@ class PgAgentAddScheduleTestCase(BaseTestGenerator):
                                          schedules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_nodes_schedule.py b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_nodes_schedule.py
index 3d6716fff..2b4e0b825 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_nodes_schedule.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_nodes_schedule.py
@@ -23,6 +23,7 @@ class PgAgentGetNodesScheduleTestCase(BaseTestGenerator):
                                          schedules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_schedule.py b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_schedule.py
index 089fd3450..b52d61d0a 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_schedule.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_get_schedule.py
@@ -23,6 +23,7 @@ class PgAgentGetScheduleTestCase(BaseTestGenerator):
                                          schedules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_put_schedule.py b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_put_schedule.py
index d25adc3e9..3100e40a8 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_put_schedule.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/tests/test_pgagent_put_schedule.py
@@ -24,6 +24,7 @@ class PgAgentPutScheduleTestCase(BaseTestGenerator):
                                          schedules_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_add_steps.py b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_add_steps.py
index 55836ceda..2ac10c88c 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_add_steps.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_add_steps.py
@@ -23,6 +23,7 @@ class PgAgentAddStepTestCase(BaseTestGenerator):
                                          steps_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_nodes_steps.py b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_nodes_steps.py
index 87b58b20c..69d019185 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_nodes_steps.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_nodes_steps.py
@@ -23,6 +23,7 @@ class PgAgentGetNodesStepTestCase(BaseTestGenerator):
                                          steps_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps.py b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps.py
index 464921f32..3a75a93d4 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps.py
@@ -23,6 +23,7 @@ class PgAgentGetStepTestCase(BaseTestGenerator):
                                          steps_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps_stats.py b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps_stats.py
index 7c207a655..cea8e2e37 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps_stats.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_get_steps_stats.py
@@ -23,6 +23,7 @@ class PgAgentGetStepTestCase(BaseTestGenerator):
                                          steps_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_put_steps.py b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_put_steps.py
index b99c2e528..46cb0a88e 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_put_steps.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/steps/tests/test_pgagent_put_steps.py
@@ -23,6 +23,7 @@ class PgAgentPutStepTestCase(BaseTestGenerator):
                                          steps_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_add.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_add.py
index d2b7a3ff1..e268d784a 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_add.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_add.py
@@ -23,6 +23,7 @@ class PgAgentAddTestCase(BaseTestGenerator):
 
     def setUp(self):
         # Load test data
+        super().setUp()
         self.data = self.test_data
 
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get.py
index 385b1d0ed..eece97c88 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get.py
@@ -21,6 +21,7 @@ class PgAgentGetTestCase(BaseTestGenerator):
                                          pgagent_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get_statistics.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get_statistics.py
index 1dd82316d..b7da73094 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get_statistics.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_get_statistics.py
@@ -21,6 +21,7 @@ class PgAgentGetStatsTestCase(BaseTestGenerator):
                                          pgagent_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_put.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_put.py
index 228abdd63..b8b9df68a 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_put.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_job_put.py
@@ -22,6 +22,7 @@ class PgAgentPutTestCase(BaseTestGenerator):
                                          pgagent_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
             self.skipTest(msg)
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_reassign_own.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_reassign_own.py
index c7b84a53c..08457aec5 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_reassign_own.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_reassign_own.py
@@ -28,6 +28,7 @@ class ReassignRoleTestCase(BaseTestGenerator):
                                          roles_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         self.server_id = parent_node_dict["server"][-1]["server_id"]
 
         self.data = self.test_data
diff --git a/web/pgadmin/tools/debugger/__init__.py b/web/pgadmin/tools/debugger/__init__.py
index cae75a43b..40926a3fe 100644
--- a/web/pgadmin/tools/debugger/__init__.py
+++ b/web/pgadmin/tools/debugger/__init__.py
@@ -1118,8 +1118,8 @@ def start_debugger_listener(trans_id):
             status, result = execute_async_search_path(
                 conn, str_query, de_inst.debugger_data['search_path'])
 
-            # if not status:
-            #     return internal_server_error(errormsg=result)
+            if not status:
+                return internal_server_error(errormsg=result)
         else:
 
             sql = render_template(
@@ -1317,7 +1317,11 @@ def messages(trans_id):
 
     if conn.connected():
         status = 'Busy'
-        # _, result = conn.poll()
+        if PG_DEFAULT_DRIVER == 'psycopg2':
+            # psycopg3 doesn't require polling to get the
+            # messages as debugger connection is already open
+            # Remove this block while removing psucopg2 completely
+            _, result = conn.poll()
         notify = conn.messages()
         if notify:
             # In notice message we need to find "PLDBGBREAK" string to find
diff --git a/web/pgadmin/tools/debugger/tests/test_close_debugger.py b/web/pgadmin/tools/debugger/tests/test_close_debugger.py
index be670c6af..2e8e4583d 100644
--- a/web/pgadmin/tools/debugger/tests/test_close_debugger.py
+++ b/web/pgadmin/tools/debugger/tests/test_close_debugger.py
@@ -27,6 +27,7 @@ class CloseDebugger(BaseTestGenerator):
                                          debugger_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         super(CloseDebugger, self).setUp()
         self.schema_data = parent_node_dict['schema'][-1]
         self.server_id = self.schema_data['server_id']
diff --git a/web/pgadmin/tools/debugger/tests/test_debugger_clear_all_breakpoint.py b/web/pgadmin/tools/debugger/tests/test_debugger_clear_all_breakpoint.py
index 901e33383..2b4815c94 100644
--- a/web/pgadmin/tools/debugger/tests/test_debugger_clear_all_breakpoint.py
+++ b/web/pgadmin/tools/debugger/tests/test_debugger_clear_all_breakpoint.py
@@ -28,6 +28,7 @@ class DebuggerClearAllBreakpoint(BaseTestGenerator):
                                          debugger_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         super(DebuggerClearAllBreakpoint, self).setUp()
         self.schema_data = parent_node_dict['schema'][-1]
         self.server_id = self.schema_data['server_id']
diff --git a/web/pgadmin/tools/debugger/tests/test_debugger_clear_arguments.py b/web/pgadmin/tools/debugger/tests/test_debugger_clear_arguments.py
index b5b63a5fe..f0ac06f60 100644
--- a/web/pgadmin/tools/debugger/tests/test_debugger_clear_arguments.py
+++ b/web/pgadmin/tools/debugger/tests/test_debugger_clear_arguments.py
@@ -27,6 +27,7 @@ class DebuggerClearArguments(BaseTestGenerator):
                                          debugger_utils.test_cases)
 
     def setUp(self):
+        super().setUp()
         super(DebuggerClearArguments, self).setUp()
         self.schema_data = parent_node_dict['schema'][-1]
         self.server_id = self.schema_data['server_id']
